ApiSkills
Update skill
Update an existing skill. Supports partial updates and rebuilds the ZIP package if SKILL.md content changes.
Path Parameters
skill_id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://loading/api/v1/skills/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"source_type": "imported",
"source_url": "string",
"mcp_server_id": "e10a714a-6b0a-499f-b13f-db958c6ad8c0",
"mcp_server_name": "string",
"skill_metadata": {},
"package_size_bytes": 0,
"portal_visible": false,
"portal_category": "string",
"portal_tags": [
"string"
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}